Post Class

class NXOpen.CAE.Post

Bases: object

Represents Post-Processing

To obtain an instance of this class, refer to NXOpen.Session

New in version NX5.0.0.

Preference”, ” Returns the <ja_class>NXOpen.CAE.PostPreference</ja_class> belonging to this session “

Methods

Method Description
CompareDisplayFiles Utility to compare post ascii files @return
CreateAnnotation Creates min/max annotation object @return
CreateAnnotationBuilder Creates an Annotation builder object @return
CreateCrossSectionViewForResult Create a new cross-section view with specified result on a loaded result id.
CreateHistoryGraph Create a graph by extracting data from the input postview id, at the input node label or point, for the input iterations.
CreatePathFromElemIds Create a path from an ordered set of element ids on the input postview id.
CreatePathFromNodeIds Create a path from an ordered set of node ids on the input postview id.
CreatePathFromPoints Create a path from an ordered set of points on the input postview id.
CreatePostview Create a new post view with default settings on a loaded result id.
CreatePostviewForResult Create a new post view with specified result on a loaded result id.
CreatePostviewsForResultAndSE Create a new post view with specified result on a loaded result id.
CreateSpatialGraph Create a graph by extracting data from the input postview id, along an input path id The input postview id is what was returned from CreatePostview or CreatePostviewForResult.
CreateStreamlineSeedSet Create a seed set that can be used to specify the start points for streamline extraction.
CreateUserGroupFromEntityLabels Create a User Group using element or node labels.
CrossSectionViewSetLockRotation Orients and disables all rotations in the input postview id.
CrossSectionViewSetResult Set the result for color display in the input cross-section view id.
DeleteAllTemplates Delete all loaded template xml files
DeleteViewport End all post processing activity in the input view port index
Deletegraphs Deletes NXOpen.CAE.PostGraph objects
GetAnnotations Gets all NXOpen.CAE.PostAnnotation in this post view
GetPostviewIds Returns the list of current Postview Ids @return the list of current Postview Ids
GetResultForPostview Returns the NXOpen.CAE.Result and a copy of the NXOpen.CAE.ResultParameters which define the input postview ID.
GraphDelete Delete the input graph specfied by graph_ids.
LoadImportedResult Load an existing result file that is not associated with a solution.
LoadRaEventResult Load results for a Response analysis event.
LoadSolutionResult Load results for a solution.
LoadTemplate Loads a template xml files from user specified location @return
PathDelete Delete the input path id.
PlotGraph Plot or Overlay the input graph specfied by graph_ids.
Plotgraphs Plot or overlay NXOpen.CAE.PostGraph objects as XY plot @return NXOpen.CAE.Xyplot.Plot object
PostviewAnimationControl Control animation for the input postview id The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode.
PostviewAnimationControlStreamline Control streamline animation for the input postview id The input postview id is what was returned from CreatePostview or CreatePostviewForResult.
PostviewAnimationPlay Play or Replay the animation for the input postview id with the input animation parameters.
PostviewApplyCsysContainerVisibility Set the visibility of a coordinate system container in the input postview id with immediate effect.
PostviewApplyCsysVisibility Set the visibility of a coordinate system (id) in the input postview id with immediate effect.
PostviewApplyGroupContainerVisibility Set the visibility of an element group container in the input postview id with immediate effect.
PostviewApplyGroupVisibility Set the visibility of an element group (index) within a container (1D, 2D, Connector etc) in the input postview id with immediate effect.
PostviewApplyShowAll Perform a Show All on the input postview id.
PostviewApplyTemplate Apply a loaded template on the input postview id.
PostviewApplyTemplateFile Apply a template file on the input postview id.
PostviewApplyUserGroupVisibility Control visibility of one or more usergroups with immediate effect.
PostviewCaptureAnimatedGif Capture an animated gif image for an input postview id is that is already animating.
PostviewCreateClone Creates a clone of a given postview.
PostviewDelete Delete a postview The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult
PostviewExportDisplay Export the display of the input postview id to the specified format.
PostviewExportTemplate Save all the setting of the input postview id to a template xml file.
PostviewGetUserGroupGids Returns the list of gids as per the group names provided.
PostviewMarkerOnOff Set the min-max markers on-off for the input postview id.
PostviewRename Rename a postview.
PostviewSaveTemplate Save all the setting of the input postview id to a template xml file, capture image, and load template for future use.
PostviewSetAnnotationBox Set min-max marker box options in the input postview id.
PostviewSetAxisymmetric Set cutting-plane options in the input postview id.
PostviewSetBandStyle Set the band style in the input postview id.
PostviewSetClipping Set clipping options in the input postview id.
PostviewSetColorDisplayDeformationSynchronization Set synchronization of the color and deformed display in the input postview id.
PostviewSetColorbar Set colorbar options in the input postview id.
PostviewSetCompression Set compression option in the input postview id.
PostviewSetCriticalLayerIdDisplay Activate or deactivate the laminate layer ply id label display for a given post view.
PostviewSetCriticalLoadIdDisplay Activate or deactivate the laminate critical loadcase id label display for a given post view.
PostviewSetCriticalPlyIdDisplay Activate or deactivate the laminate critical ply id label display for a given post view.
PostviewSetCurrentInOverlay Set the input postview id as the current postview if it is one of several overlaid postviews The input postview id is what was returned from CreatePostview or CreatePostviewForResult
PostviewSetDeformation Set the result for deformed shape in the input postview id.
PostviewSetDeformed Set the primary display to be deformed/undeformed in the input postview id.
PostviewSetDeformedUndeformedSynchronization Set the primary display to be deformed/undeformed in the input postview id.
PostviewSetEdgeFace Set edge and face styles and colors for both primary and undeformed displays in the input postview id.
PostviewSetFontSize Set font size options in the input postview id.
PostviewSetFormat Set text formating used for legend and identify in the input postview id.
PostviewSetGroupContainerVisibility Set the visibility of an element group container in the input postview id.
PostviewSetGroupVisibility Set the visibility of an element group (index) within a container (1D, 2D, Connector etc) in the input postview id.
PostviewSetHeaderlines Set headerlines in the input postview id.
PostviewSetLegend Set legend options in the input postview id.
PostviewSetLighting Set lighted option in the input postview id.
PostviewSetMark Set the mark display options in the input postview id.
PostviewSetMarker Set min-max marker options in the input postview id.
PostviewSetPosition Set legend positioning in the input postview id.
PostviewSetResult Set the result for color display in the input postview id.
PostviewSetResultWithProbe Set the result for color display in the input for postview which is created with a probe NXOpen.CAE.Post.CreatePostview().
PostviewSetShowHeader Set show header option in the input postview id.
PostviewSetStreamline Set the streamline display options in the input postview id.
PostviewSetStreamlineSeedSet Set the seed set to use for streamline extraction in the input postview id.
PostviewSetStreamlineVelocity Set the velocity field for streamline extraction in the input postview id.
PostviewSetStyle Set the fringe style in the input postview id.
PostviewSetTarget Set the target operator in the input postview id.
PostviewSetText Set text color used for legend and identify in the input postview id.
PostviewSetUndeformed Set the undeformed display in the input postview id.
PostviewUpdate Make the input postview id up-to-date with all the settings made via PostviewSet* methods so far.
ReloadTemplates Search and load template xml files
SetFactoryDefaultTemplate Use factory defaults rather than a template for the default postview settings to be used in all subsequent PostviewCreate calls
StreamlineSeedSetDelete Delete a Seed Set.
TemplateDelete Delete a loaded template xml file specified by template_id.
TemplateRename Rename a loaded template xml file specified by template_id.
TemplateSearch Search for a template handle for loaded template xml file specified by its name.
TemplateSetAsDefault Set a loaded template as the default postview settings to be used for all subsequent PostviewCreate calls.
UnloadResult Unload the input result id.
UnloadResultFile Unload results that use the input file name
UpdateUserGroupsFromSimPart Synchronize the Groups in Post-Processing with those in the Simulation Part
UserGroupDelete Rename a User Group.
UserGroupRename Delete a User Group.

Enumerations

PostAbcissa Enumeration Abcissa types for graph
PostAnimationControl Enumeration Animation controls
PostAnimationIterationTypes Enumeration Animation styles
PostAnimationStyle Enumeration Animation styles
PostAnimationType Enumeration Animation types
PostAxisymetricAxis Enumeration Axis about which axis symmetric model rotates to create 3D display
PostBandStyle Enumeration Band styles
PostClipPlane Enumeration Cutting plane options
PostClipSide Enumeration Clip hither-yon-cutplaneonly options
PostEdgeStyle Enumeration Edge display styles
PostExport Enumeration Export types for postview display
PostFaceStyle Enumeration Face display styles
PostFormat Enumeration Colorbar format
PostGroupVisibility Enumeration Show hide options for user group visibiliy control
PostIntegrationScheme Enumeration Intergration schemes for streamline extraction
PostLegend Enumeration legend display options
PostLimitDisplay Enumeration Drawing methods for overflow and under flor values
PostMarkColor Enumeration Mark color options
PostMarkHide Enumeration Mark hide options
PostMarkLocation Enumeration Mark locations
PostMarkMaximumSize Enumeration Maximum mark size options
PostMarkRenderStyle Enumeration Mark render styles
PostMarkSize Enumeration Mark size options
PostMarkTensorStyle Enumeration Mark styles for tensors
PostMarker Enumeration Min-Max marker display options
PostNoDataTreatment Enumeration NoData treatments for extracted data at a graph point
PostNodeValueSharingCriterion Enumeration Criteria for value sharing of extracted data at a graph point
PostPosition Enumeration Colorbar position
PostScale Enumeration Colorbar scales
PostShowHeader Enumeration Show header display options
PostSpectrum Enumeration colorbar spectrums
PostStreamlineColor Enumeration Streamline color options
PostStreamlineDirection Enumeration Direction options for streamline extraction
PostStreamlineLineWeight Enumeration Streamline line weight options
PostStreamlineSize Enumeration Streamline size options
PostStreamlineStyle Enumeration Streamline display styles
PostStreamlineSynchronization Enumeration Synchronization options for streamlines
PostStyle Enumeration Fringe styles
PostTarget Enumeration Target operators
PostThreshold Enumeration colorbar thresholds
PostValueSharingCriterion Enumeration Criteria for value sharing for extracted stream line data

Structs

PostASCIIDiffTolerances_Struct Struct Tolerances used for comparing postview ASCII display files
PostAnimation_Struct Struct Animation settings
PostAnimationParameters_Struct Struct Animation settings
PostAnimationStreamline_Struct Struct Animation settings for streamline animation
PostAnnotationBox_Struct Struct Annotation box display settings
PostAxisymmetric_Struct Struct 3D Axi-symmetric model display settings
PostClipping_Struct Struct Cutting-plane display settings
PostColorbar_Struct Struct Colorbar settings
PostEdgeFace_Struct Struct Edge and Face display settings
PostGraphIds_Struct Struct Graph handle
PostGraphParameters_Struct Struct Graph extraction parameters
PostHeaderlines_Struct Struct Headerlines
PostMark_Struct Struct Mark display settings
PostStreamline_Struct Struct Streamline display settings
PostStreamlineData_Struct Struct Streamline data extraction parameters
PostStreamlineExtraction_Struct Struct Streamline extraction parameters
PostStreamlineSeed_Struct Struct Streamline seed point definition
PostText_Struct Struct Annotation text settings

Preference

Post.Preference

Returns the NXOpen.CAE.PostPreference belonging to this session

Signature Preference()

New in version NX10.0.0.

Returns:
Return type:NXOpen.CAE.PostPreference

Method Detail

CompareDisplayFiles

Post.CompareDisplayFiles

Utility to compare post ascii files

Signature CompareDisplayFiles(benchmarkFileName, testFileName, tolerances)

Parameters:
Returns:

Return type:

str

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateAnnotation

Post.CreateAnnotation

Overloaded method CreateAnnotation

  • CreateAnnotation(postviewId, name, num, max, usertext)
  • CreateAnnotation(postviewId, name, entities, subEntities, usertext)
  • CreateAnnotation(postviewId, name, elements, nodes, elmedgeface, usertext)
  • CreateAnnotation(postviewId, name, xcoord, ycoord, usertext)

-------------------------------------

Creates min/max annotation object

Signature CreateAnnotation(postviewId, name, num, max, usertext)

Parameters:
  • postviewId (int) –
  • name (str) – Annotation name
  • num (int) – Number of minimum or maximum
  • max (bool) – true means maximum, false is minimum
  • usertext (list of str) – Additional text in each box
Returns:

Return type:

NXOpen.CAE.PostAnnotation

New in version NX8.5.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.PostAnnotationBuilder instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates entity annotation object

Signature CreateAnnotation(postviewId, name, entities, subEntities, usertext)

Parameters:
  • postviewId (int) –
  • name (str) – Annotation name
  • entities (list of int) – List of node or elements
  • subEntities (list of int) – List of nodes for element-nodal result
  • usertext (list of str) – Additional text in each box
Returns:

Return type:

NXOpen.CAE.PostAnnotation

New in version NX8.5.0.

Deprecated since version NX9.0.0: use NXOpen.CAE.Post.CreateAnnotation() with extra face parameter.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates entity annotation object

Signature CreateAnnotation(postviewId, name, elements, nodes, elmedgeface, usertext)

Parameters:
  • postviewId (int) –
  • name (str) – Annotation name
  • elements (list of int) – List of node or elements
  • nodes (list of int) – List of nodes
  • elmedgeface (list of int) – List of super entity(face/edge) for node and elements pick
  • usertext (list of str) – Additional text in each box
Returns:

Return type:

NXOpen.CAE.PostAnnotation

New in version NX9.0.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.PostAnnotationBuilder instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates user location box annotation object

Signature CreateAnnotation(postviewId, name, xcoord, ycoord, usertext)

Parameters:
  • postviewId (int) –
  • name (str) – Annotation name
  • xcoord (float) – Parametric x screen coordinate, varies from 0 to 1
  • ycoord (float) – Parametric y screen coordinate, varies from 0 to 1
  • usertext (list of str) – Additional text in each box
Returns:

Return type:

NXOpen.CAE.PostAnnotation

New in version NX8.5.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.PostAnnotationBuilder instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreateAnnotationBuilder

Post.CreateAnnotationBuilder

Creates an Annotation builder object

Signature CreateAnnotationBuilder(pvid)

Parameters:pvid (int) –
Returns:
Return type:NXOpen.CAE.PostAnnotationBuilder

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateCrossSectionViewForResult

Post.CreateCrossSectionViewForResult

Create a new cross-section view with specified result on a loaded result id.

Signature CreateCrossSectionViewForResult(viewIndex, resultId, result)

Parameters:
Returns:

Return type:

int

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateHistoryGraph

Post.CreateHistoryGraph

Create a graph by extracting data from the input postview id, at the input node label or point, for the input iterations.

Iterations specified as start, end and step. The input postview id is what was returned from CreatePostview or CreatePostviewForResult. The input path id is what was returned from CreatePathFromNodeIds or CreatePathFromPoints. Returns a graph handle that may be used in PlotGraph and Graph* calls

Signature CreateHistoryGraph(postviewId, name, graph, startIteration, endIteration, iterationIncrement, nodeLabel, point)

Parameters:
  • postviewId (int) –
  • name (str) –
  • graph (NXOpen.CAE.PostGraphParameters_Struct) –
  • startIteration (int) –
  • endIteration (int) –
  • iterationIncrement (int) –
  • nodeLabel (int) –
  • point (list of float) –
Returns:

Return type:

NXOpen.CAE.PostGraphIds_Struct

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreatePathFromElemIds

Post.CreatePathFromElemIds

Create a path from an ordered set of element ids on the input postview id.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls

Signature CreatePathFromElemIds(postviewId, name, elemIds)

Parameters:
  • postviewId (int) –
  • name (str) –
  • elemIds (list of int) –
Returns:

Return type:

int

New in version NX9.0.0.

Deprecated since version NX11.0.0: use NXOpen.CAE.ResultManager.CrateQueryCurvePost() with nodes, elements or free points.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreatePathFromNodeIds

Post.CreatePathFromNodeIds

Create a path from an ordered set of node ids on the input postview id.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls

Signature CreatePathFromNodeIds(postviewId, name, nodeIds)

Parameters:
  • postviewId (int) –
  • name (str) –
  • nodeIds (list of int) –
Returns:

Return type:

int

New in version NX5.0.0.

Deprecated since version NX11.0.0: use NXOpen.CAE.ResultManager.CrateQueryCurvePost() with nodes, elements or free points.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreatePathFromPoints

Post.CreatePathFromPoints

Create a path from an ordered set of points on the input postview id.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a path handle that maye be used in CreateSpatialGraph and Path* calls

Signature CreatePathFromPoints(postviewId, name, points, numberOfInsertPointsPerSegment)

Parameters:
  • postviewId (int) –
  • name (str) –
  • points (list of float) –
  • numberOfInsertPointsPerSegment (int) – greater than or equal to 0
Returns:

Return type:

int

New in version NX5.0.0.

Deprecated since version NX11.0.0: use NXOpen.CAE.ResultManager.CrateQueryCurvePost() with nodes, elements or free points.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreatePostview

Post.CreatePostview

Overloaded method CreatePostview

  • CreatePostview(viewIndex, resultId, overlay)
  • CreatePostview(viewIndex, result, overlay)
  • CreatePostview(viewIndex, probeparams, overlay)

-------------------------------------

Create a new post view with default settings on a loaded result id. The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls

Signature CreatePostview(viewIndex, resultId, overlay)

Parameters:
  • viewIndex (int) – 0 thru 8, viewport number to place postview in
  • resultId (int) –
  • overlay (bool) –
Returns:

Return type:

int

New in version NX5.0.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.Post.CreatePostview() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Create a new post view with default settings on a loaded result id. The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls

Signature CreatePostview(viewIndex, result, overlay)

Parameters:
  • viewIndex (int) – 0 thru 8, viewport number to place postview in
  • result (NXOpen.CAE.Result) –
  • overlay (bool) –
Returns:

Return type:

int

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Create a new post view for a given probe. If Probe is loadcase/iteration varying, it will create postview of first available loadcase iteration. User can set new loadcase, iteration and update postview using NXOpen.CAE.Post.PostviewUpdate() Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls

Signature CreatePostview(viewIndex, probeparams, overlay)

Parameters:
Returns:

Return type:

int

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreatePostviewForResult

Post.CreatePostviewForResult

Overloaded method CreatePostviewForResult

  • CreatePostviewForResult(viewIndex, resultId, overlay, result)
  • CreatePostviewForResult(viewIndex, result, overlay, resultParamter)

-------------------------------------

Create a new post view with specified result on a loaded result id. The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls NXOpen.CAE.ResultResultParameters_Struct has been replaced by NXOpen.CAE.ResultParameters This method is replaced by NXOpen.CAE.Post.CreatePostviewForResult()

Signature CreatePostviewForResult(viewIndex, resultId, overlay, result)

Parameters:
Returns:

Return type:

int

New in version NX5.0.0.

Deprecated since version NX7.5.1: Use NXOpen.CAE.Post.CreatePostviewForResult() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Create a new post view with specified result on a loaded result id. The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns a postview handle that may be used in Postview*, CreatePath* and CreateGraph* calls

Signature CreatePostviewForResult(viewIndex, result, overlay, resultParamter)

Parameters:
Returns:

Return type:

int

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreatePostviewsForResultAndSE

Post.CreatePostviewsForResultAndSE

Create a new post view with specified result on a loaded result id.

Also create overlays of any loaded super element results associated with the result id and set the color bar ranges to the viewport displayed. Set the deformation scale to Absolute with a scale factor of 1. The result id is what was obtained from LoadImportedResult or LoadSolutionResult. Returns an array of postview handles that may be used in Postview*, CreatePath* and CreateGraph* calls

Signature CreatePostviewsForResultAndSE(viewIndex, result, resultParamter)

Parameters:
Returns:

Return type:

list of int

New in version NX8.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateSpatialGraph

Post.CreateSpatialGraph

Create a graph by extracting data from the input postview id, along an input path id The input postview id is what was returned from CreatePostview or CreatePostviewForResult.

The input path id is what was returned from CreatePathFromNodeIds or CreatePathFromPoints. Returns a graph handle that may be used in PlotGraph and Graph* calls

Signature CreateSpatialGraph(postviewId, name, graph, pathId)

Parameters:
Returns:

Return type:

NXOpen.CAE.PostGraphIds_Struct

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateStreamlineSeedSet

Post.CreateStreamlineSeedSet

Create a seed set that can be used to specify the start points for streamline extraction.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult. Returns a seedset handle that maye be used in StreamlineSeedSet* calls and PostVeiwSetStreamlineSeedSet

Signature CreateStreamlineSeedSet(postviewId, name, seeds)

Parameters:
Returns:

Return type:

int

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateUserGroupFromEntityLabels

Post.CreateUserGroupFromEntityLabels

Create a User Group using element or node labels.

Returns a usergroup handle that may be used in UserGroup* calls and in PostViewApplyUserGroupVisibility

Signature CreateUserGroupFromEntityLabels(postviewId, entityType, labels)

Parameters:
Returns:

Return type:

int

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CrossSectionViewSetLockRotation

Post.CrossSectionViewSetLockRotation

Orients and disables all rotations in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreateCrossSectionViewForResult

Signature CrossSectionViewSetLockRotation(postviewId, lockRotation)

Parameters:
  • postviewId (int) –
  • lockRotation (bool) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CrossSectionViewSetResult

Post.CrossSectionViewSetResult

Set the result for color display in the input cross-section view id.

Needs a CrossSectionViewUpdate call to take effect. The input cross-section view id is what was returned from CreateCrossSectionViewForResult

Signature CrossSectionViewSetResult(postviewId, result)

Parameters:

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

DeleteAllTemplates

Post.DeleteAllTemplates

Delete all loaded template xml files

Signature DeleteAllTemplates()

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

DeleteViewport

Post.DeleteViewport

End all post processing activity in the input view port index

Signature DeleteViewport(viewIndex)

Parameters:viewIndex (int) – 0 thru 8, viewport number to remove post displays

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Deletegraphs

Post.Deletegraphs

Deletes NXOpen.CAE.PostGraph objects

Signature Deletegraphs(graphs)

Parameters:graphs (list of NXOpen.CAE.PostGraph) – NXOpen.CAE.PostGraph object list

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetAnnotations

Post.GetAnnotations

Gets all NXOpen.CAE.PostAnnotation in this post view

Signature GetAnnotations(postviewId)

Parameters:postviewId (int) –
Returns:
Return type:list of NXOpen.CAE.PostAnnotation

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetPostviewIds

Post.GetPostviewIds

Returns the list of current Postview Ids

Signature GetPostviewIds()

Returns:the list of current Postview Ids
Return type:list of int

New in version NX8.5.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetResultForPostview

Post.GetResultForPostview

Returns the NXOpen.CAE.Result and a copy of the NXOpen.CAE.ResultParameters which define the input postview ID.

Signature GetResultForPostview(postviewId)

Parameters:postviewId (int) – postview ID
Returns:a tuple
Return type:A tuple consisting of (result, resultParamter). result is a NXOpen.CAE.Result. NXOpen.CAE.Result which defines input postview resultParamter is a NXOpen.CAE.ResultParameters. a copy of the NXOpen.CAE.ResultParameters which defines input postview, It is user’s responsibility to destroy the result parameters object once done using NXOpen.CAE.ResultManager.DeleteResultParameters(), in order to free up system resources

New in version NX8.5.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GraphDelete

Post.GraphDelete

Delete the input graph specfied by graph_ids.

The input graph_ids is what was returned from CreateSpatialGraph or CreateHistoryGraph

Signature GraphDelete(graphIds)

Parameters:graphIds (NXOpen.CAE.PostGraphIds_Struct) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

LoadImportedResult

Post.LoadImportedResult

Load an existing result file that is not associated with a solution.

Returns a result handle that may be used in PostviewCreate* calls

Signature LoadImportedResult(resultName, fileName, units)

Parameters:
  • resultName (str) –
  • fileName (str) –
  • units (list of NXOpen.Unit) –
Returns:

Return type:

int

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

LoadRaEventResult

Post.LoadRaEventResult

Load results for a Response analysis event.

Returns a result handle that may be used in PostviewCreate* calls

Signature LoadRaEventResult(raEvent)

Parameters:raEvent (NXOpen.CAE.ResponseSimulation.RSEvent) –
Returns:
Return type:int

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

LoadSolutionResult

Post.LoadSolutionResult

Load results for a solution.

Returns a result handle that may be used in PostviewCreate* calls

Signature LoadSolutionResult(solution)

Parameters:solution (NXOpen.CAE.SimSolution) –
Returns:
Return type:int

New in version NX5.0.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.ResultManager.CreateSolutionResult() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

LoadTemplate

Post.LoadTemplate

Loads a template xml files from user specified location

Signature LoadTemplate(filename, name)

Parameters:
  • filename (str) –
  • name (str) –
Returns:

a tuple

Return type:

A tuple consisting of (imagefilename, templateId). imagefilename is a str. templateId is a int.

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PathDelete

Post.PathDelete

Delete the input path id.

The input path id is what was returned from CreatePathFromNodeIds or CreatePathFromPoints

Signature PathDelete(pathId)

Parameters:pathId (int) –

New in version NX5.0.0.

Deprecated since version NX11.0.0: use NXOpen.CAE.ResultManager.DeleteQueryCurve() to delete the query curves

License requirements: nx_masterfem (“Finite Element Modeling”)

PlotGraph

Post.PlotGraph

Plot or Overlay the input graph specfied by graph_ids.

The input graph_ids is what was returned from CreateSpatialGraph or CreateHistoryGraph

Signature PlotGraph(viewIndex, graphIds, overlay)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

Plotgraphs

Post.Plotgraphs

Plot or overlay NXOpen.CAE.PostGraph objects as XY plot

Signature Plotgraphs(windowIndex, viewIndex, graphs, overlay)

Parameters:
  • windowIndex (int) – Window Index will be -1 for plotting it in main nx window
  • viewIndex (int) – View Index
  • graphs (list of NXOpen.CAE.PostGraph) – NXOpen.CAE.PostGraph object list
  • overlay (bool) – overlay option
Returns:

NXOpen.CAE.Xyplot.Plot object

Return type:

NXOpen.CAE.Xyplot.Plot

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewAnimationControl

Post.PostviewAnimationControl

Control animation for the input postview id The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode.

Signature PostviewAnimationControl(postviewId, control, frame, fullCycle, delay)

Parameters:
  • postviewId (int) –
  • control (NXOpen.CAE.PostAnimationControl) –
  • frame (int) – frame number to use with control = SetFrame
  • fullCycle (bool) – to be used with control = FullCycle
  • delay (int) – milliseconds, to use with control = Delay

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewAnimationControlStreamline

Post.PostviewAnimationControlStreamline

Control streamline animation for the input postview id The input postview id is what was returned from CreatePostview or CreatePostviewForResult.

This interface works only in interactive mode.

Signature PostviewAnimationControlStreamline(postviewId, control)

Parameters:

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

PostviewAnimationPlay

Post.PostviewAnimationPlay

Overloaded method PostviewAnimationPlay

  • PostviewAnimationPlay(postviewId, animation)
  • PostviewAnimationPlay(postviewId, animation)

-------------------------------------

Play or Replay the animation for the input postview id with the input animation parameters. The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode. NXOpen.CAE.PostAnimation_Struct has been replaced by NXOpen.CAE.Post.AnimationParameters This method is replaced by NXOpen.CAE.Post.PostviewAnimationPlay()

Signature PostviewAnimationPlay(postviewId, animation)

Parameters:

New in version NX5.0.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.Post.PostviewAnimationPlay() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Play or Replay the animation for the input postview id with the input animation parameters. The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode.

Signature PostviewAnimationPlay(postviewId, animation)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

PostviewApplyCsysContainerVisibility

Post.PostviewApplyCsysContainerVisibility

Set the visibility of a coordinate system container in the input postview id with immediate effect.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyCsysContainerVisibility(postviewId, visibility)

Parameters:
  • postviewId (int) –
  • visibility (bool) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewApplyCsysVisibility

Post.PostviewApplyCsysVisibility

Set the visibility of a coordinate system (id) in the input postview id with immediate effect.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyCsysVisibility(postviewId, id, visibility)

Parameters:
  • postviewId (int) –
  • id (int) – coordinate system id
  • visibility (bool) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewApplyGroupContainerVisibility

Post.PostviewApplyGroupContainerVisibility

Overloaded method PostviewApplyGroupContainerVisibility

  • PostviewApplyGroupContainerVisibility(postviewId, container, visibility)
  • PostviewApplyGroupContainerVisibility(postviewId, container, visibility)

-------------------------------------

Set the visibility of an element group container in the input postview id with immediate effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyGroupContainerVisibility(postviewId, container, visibility)

Parameters:

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Set the visibility of an element group container(s) in the input postview id with immediate effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyGroupContainerVisibility(postviewId, container, visibility)

Parameters:

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

PostviewApplyGroupVisibility

Post.PostviewApplyGroupVisibility

Overloaded method PostviewApplyGroupVisibility

  • PostviewApplyGroupVisibility(postviewId, container, group, visibility)
  • PostviewApplyGroupVisibility(postviewId, container, group, visibility)

-------------------------------------

Set the visibility of an element group (index) within a container (1D, 2D, Connector etc) in the input postview id with immediate effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyGroupVisibility(postviewId, container, group, visibility)

Parameters:

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Set the visibility of an element group(s) (index) within a container (1D, 2D, Connector etc) in the input postview id with immediate effect. The container and group id array are associated 1 to 1 with each other. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyGroupVisibility(postviewId, container, group, visibility)

Parameters:

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

PostviewApplyShowAll

Post.PostviewApplyShowAll

Perform a Show All on the input postview id.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyShowAll(postviewId)

Parameters:postviewId (int) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewApplyTemplate

Post.PostviewApplyTemplate

Apply a loaded template on the input postview id.

The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewApplyTemplate(postviewId, templateId)

Parameters:
  • postviewId (int) –
  • templateId (int) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewApplyTemplateFile

Post.PostviewApplyTemplateFile

Apply a template file on the input postview id.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyTemplateFile(postviewId, xmlFileName)

Parameters:
  • postviewId (int) –
  • xmlFileName (str) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewApplyUserGroupVisibility

Post.PostviewApplyUserGroupVisibility

Control visibility of one or more usergroups with immediate effect.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewApplyUserGroupVisibility(postviewId, usergroupIds, visibility)

Parameters:

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

PostviewCaptureAnimatedGif

Post.PostviewCaptureAnimatedGif

Capture an animated gif image for an input postview id is that is already animating.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult This interface works only in interactive mode.

Signature PostviewCaptureAnimatedGif(postviewId, fileName, includeOverlayedPostviews, whiteBackground)

Parameters:
  • postviewId (int) –
  • fileName (str) –
  • includeOverlayedPostviews (bool) –
  • whiteBackground (bool) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewCreateClone

Post.PostviewCreateClone

Creates a clone of a given postview.

The clone postview has to be created in a different viewport than the source postview

Signature PostviewCreateClone(postviewId, viewIndex)

Parameters:
  • postviewId (int) –
  • viewIndex (int) –
Returns:

Return type:

int

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewDelete

Post.PostviewDelete

Delete a postview The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewDelete(postviewId)

Parameters:postviewId (int) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewExportDisplay

Post.PostviewExportDisplay

Export the display of the input postview id to the specified format.

VRML is not yet supported. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewExportDisplay(postviewId, fileName, format, ignoreClipping, ignoreVisibility)

Parameters:
  • postviewId (int) –
  • fileName (str) –
  • format (NXOpen.CAE.PostExport) –
  • ignoreClipping (bool) –
  • ignoreVisibility (bool) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewExportTemplate

Post.PostviewExportTemplate

Save all the setting of the input postview id to a template xml file.

no image capture. xml file is not loaded, and can be reused only via PostviewApplyTemplateFile The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewExportTemplate(postviewId, xmlFileName)

Parameters:
  • postviewId (int) –
  • xmlFileName (str) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewGetUserGroupGids

Post.PostviewGetUserGroupGids

Returns the list of gids as per the group names provided.

The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewGetUserGroupGids(postviewId, usergroupNames)

Parameters:
  • postviewId (int) –
  • usergroupNames (list of str) –
Returns:

Return type:

list of int

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewMarkerOnOff

Post.PostviewMarkerOnOff

Set the min-max markers on-off for the input postview id.

The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewMarkerOnOff(postviewId, showMarker)

Parameters:
  • postviewId (int) –
  • showMarker (bool) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewRename

Post.PostviewRename

Rename a postview.

The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewRename(postviewId, newName)

Parameters:
  • postviewId (int) –
  • newName (str) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSaveTemplate

Post.PostviewSaveTemplate

Save all the setting of the input postview id to a template xml file, capture image, and load template for future use.

The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult. Returns a template handle that may be used in PostviewApplyTemplate and Template* calls

Signature PostviewSaveTemplate(postviewId)

Parameters:postviewId (int) –
Returns:
Return type:int

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetAnnotationBox

Post.PostviewSetAnnotationBox

Set min-max marker box options in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewSetAnnotationBox(postviewId, annotationBox)

Parameters:

New in version NX5.0.0.

Deprecated since version NX9.0.0: Set NXOpen.CAE.PostAnnotation Display Attribute directly instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetAxisymmetric

Post.PostviewSetAxisymmetric

Set cutting-plane options in the input postview id.

Needs a PostviewUpdate call to take effect. In addition, needs to have NXOpen.CAE.PostTarget set to NXOpen.CAE.PostTarget.AxisSymmetry3D The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetAxisymmetric(postviewId, axisymmetric)

Parameters:

New in version NX8.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetBandStyle

Post.PostviewSetBandStyle

Set the band style in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetBandStyle(postviewId, bandstyle)

Parameters:

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetClipping

Post.PostviewSetClipping

Overloaded method PostviewSetClipping

  • PostviewSetClipping(postviewId, clipping)
  • PostviewSetClipping(postviewId, clipping)

-------------------------------------

Set clipping options in the input postview id. Needs a PostviewUpdate call to take effect. In addition, needs to have the NXOpen.CAE.PostTarget set to NXOpen.CAE.PostTarget.CuttingPlane for the model to appear clipped. NXOpen.CAE.PostClipping_Struct has been replaced by NXOpen.CAE.ClippingParameters The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetClipping(postviewId, clipping)

Parameters:

New in version NX5.0.0.

Deprecated since version NX7.5.1: Use NXOpen.CAE.Post.PostviewSetClipping() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Set cutting-plane options in the input postview id. Needs a PostviewUpdate call to take effect. In addition, needs to have the Target set to CuttingPlane for the model to appear clipped. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetClipping(postviewId, clipping)

Parameters:

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

PostviewSetColorDisplayDeformationSynchronization

Post.PostviewSetColorDisplayDeformationSynchronization

Set synchronization of the color and deformed display in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetColorDisplayDeformationSynchronization(postviewId, synchronization)

Parameters:
  • postviewId (int) –
  • synchronization (bool) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetColorbar

Post.PostviewSetColorbar

Overloaded method PostviewSetColorbar

  • PostviewSetColorbar(postviewId, colorbar)
  • PostviewSetColorbar(postviewId, colorbar, customOverwrite, rangeValue, rangeColors)

-------------------------------------

Set colorbar options in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewSetColorbar(postviewId, colorbar)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Set color bar options along with custom overwrite options in the input postview id.

Signature PostviewSetColorbar(postviewId, colorbar, customOverwrite, rangeValue, rangeColors)

Parameters:

New in version NX7.5.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

PostviewSetCompression

Post.PostviewSetCompression

Set compression option in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetCompression(postviewId, compress, featureangle, banddifference)

Parameters:
  • postviewId (int) –
  • compress (bool) – true - This option will compress the memory needed for displaying the model.Option will draw the model as one connected set. false - This option will draw the each element as separatly to improve the quality of the display
  • featureangle (float) – Angle is used to determine if the element edge is feature edge or not. If angle between the elements under consideration is more than the given angle then separete element normal are used for drawing the faces
  • banddifference (float) – Value is used check edge vertices result values comparision in case element-nodal and elemental display. If the value of the vertices are in same band then the differnce between those values should less than differnce of the banddifference mentioned. If the difference is more than this value then those will be considered as difference vertices

New in version NX8.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetCriticalLayerIdDisplay

Post.PostviewSetCriticalLayerIdDisplay

Activate or deactivate the laminate layer ply id label display for a given post view.

The critical layer id display is only supported for NXOpen.CAE.LaminateGraphicalReport results, for specific datasets.

Signature PostviewSetCriticalLayerIdDisplay(postviewId, displayCriticalLayers)

Parameters:
  • postviewId (int) – Id of the post view on which the display is to be (de)activated
  • displayCriticalLayers (bool) – If true, the critical layer ids will be displayed on elements

New in version NX9.0.2.

License requirements: nx_lam_composites (“Laminate Composites”)

PostviewSetCriticalLoadIdDisplay

Post.PostviewSetCriticalLoadIdDisplay

Activate or deactivate the laminate critical loadcase id label display for a given post view.

The critical loadcase id display is only supported for NXOpen.CAE.LaminateGraphicalReport results, for specific datasets.

Signature PostviewSetCriticalLoadIdDisplay(postviewId, displayCriticalLoads)

Parameters:
  • postviewId (int) – Id of the post view on which the display is to be (de)activated
  • displayCriticalLoads (bool) – If true, the critical loadcase ids will be displayed on elements

New in version NX9.0.0.

License requirements: nx_lam_composites (“Laminate Composites”)

PostviewSetCriticalPlyIdDisplay

Post.PostviewSetCriticalPlyIdDisplay

Activate or deactivate the laminate critical ply id label display for a given post view.

The critical ply id display is only supported for NXOpen.CAE.LaminateGraphicalReport results, for specific datasets.

Signature PostviewSetCriticalPlyIdDisplay(postviewId, displayCriticalPlies)

Parameters:
  • postviewId (int) – Id of the post view on which the display is to be (de)activated
  • displayCriticalPlies (bool) – If true, the critical ply ids will be displayed on elements

New in version NX8.5.0.

License requirements: nx_lam_composites (“Laminate Composites”)

PostviewSetCurrentInOverlay

Post.PostviewSetCurrentInOverlay

Set the input postview id as the current postview if it is one of several overlaid postviews The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetCurrentInOverlay(postviewId)

Parameters:postviewId (int) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetDeformation

Post.PostviewSetDeformation

Overloaded method PostviewSetDeformation

  • PostviewSetDeformation(postviewId, deformation)
  • PostviewSetDeformation(postviewId, deformation)

-------------------------------------

Set the result for deformed shape in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult NXOpen.CAE.ResultDeformationParameters_Struct has been replaced by NXOpen.CAE.DeformationParameters This method is replaced by NXOpen.CAE.Post.PostviewSetDeformation()

Signature PostviewSetDeformation(postviewId, deformation)

Parameters:

New in version NX5.0.0.

Deprecated since version NX7.5.1: Use NXOpen.CAE.Post.PostviewSetDeformation() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Set the result for deformed shape in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetDeformation(postviewId, deformation)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

PostviewSetDeformed

Post.PostviewSetDeformed

Set the primary display to be deformed/undeformed in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetDeformed(postviewId, deformed)

Parameters:
  • postviewId (int) –
  • deformed (bool) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetDeformedUndeformedSynchronization

Post.PostviewSetDeformedUndeformedSynchronization

Set the primary display to be deformed/undeformed in the input postview id.

Specify any additional undeformed display and whether the load case and iteration are to sunchronized for the color display and deformed shape. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetDeformedUndeformedSynchronization(postviewId, showDeformedPrimaryDisplay, showUndeformedModel, synchronizeLoadCaseAndIteration)

Parameters:
  • postviewId (int) –
  • showDeformedPrimaryDisplay (bool) –
  • showUndeformedModel (bool) –
  • synchronizeLoadCaseAndIteration (bool) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetEdgeFace

Post.PostviewSetEdgeFace

Overloaded method PostviewSetEdgeFace

  • PostviewSetEdgeFace(postviewId, primaryEdgeface, undeformedEdgeface)
  • PostviewSetEdgeFace(postviewId, edgeface)

-------------------------------------

Set edge and face styles and colors for both primary and undeformed displays in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetEdgeFace(postviewId, primaryEdgeface, undeformedEdgeface)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Set edge and face styles and colors for primary display in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreateCrossSectionViewForResult

Signature PostviewSetEdgeFace(postviewId, edgeface)

Parameters:

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

PostviewSetFontSize

Post.PostviewSetFontSize

Set font size options in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewSetFontSize(postviewId, autoFontSize, fontScale)

Parameters:
  • postviewId (int) –
  • autoFontSize (bool) –
  • fontScale (float) –

New in version NX8.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetFormat

Post.PostviewSetFormat

Set text formating used for legend and identify in the input postview id.

The other options are not yet supported. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetFormat(postviewId, format, numdecimal)

Parameters:

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetGroupContainerVisibility

Post.PostviewSetGroupContainerVisibility

Set the visibility of an element group container in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetGroupContainerVisibility(postviewId, container, visibility)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetGroupVisibility

Post.PostviewSetGroupVisibility

Set the visibility of an element group (index) within a container (1D, 2D, Connector etc) in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetGroupVisibility(postviewId, container, group, visibility)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetHeaderlines

Post.PostviewSetHeaderlines

Set headerlines in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewSetHeaderlines(postviewId, headerlines)

Parameters:

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetLegend

Post.PostviewSetLegend

Set legend options in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewSetLegend(postviewId, showLegend, legend)

Parameters:

New in version NX5.0.0.

Deprecated since version NX8.5.0: Use NXOpen.CAE.Post.PostviewSetShowHeader() and NXOpen.CAE.Post.PostviewSetColorbar() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetLighting

Post.PostviewSetLighting

Set lighted option in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetLighting(postviewId, lighted)

Parameters:
  • postviewId (int) –
  • lighted (bool) – If true fringe display is drawn with the lighting setting provided in view setting if false fringe display drawn with the color set color without botherring about surface normal and view angle

New in version NX8.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetMark

Post.PostviewSetMark

Set the mark display options in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetMark(postviewId, mark)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetMarker

Post.PostviewSetMarker

Set min-max marker options in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetMarker(postviewId, showMarker, marker)

Parameters:

New in version NX5.0.0.

Deprecated since version NX9.0.0: Set NXOpen.CAE.PostAnnotation show hide instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetPosition

Post.PostviewSetPosition

Set legend positioning in the input postview id.

The other options are not yet supported. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetPosition(postviewId, position)

Parameters:

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetResult

Post.PostviewSetResult

Overloaded method PostviewSetResult

  • PostviewSetResult(postviewId, result)
  • PostviewSetResult(postviewId, resultParamter)

-------------------------------------

Set the result for color display in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult NXOpen.CAE.ResultResultParameters_Struct has been replaced by NXOpen.CAE.ResultParameters This method is replaced by NXOpen.CAE.Post.PostviewSetResult()

Signature PostviewSetResult(postviewId, result)

Parameters:

New in version NX5.0.0.

Deprecated since version NX7.5.1: Use NXOpen.CAE.Post.PostviewSetResult() instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Set the result for color display in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetResult(postviewId, resultParamter)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

PostviewSetResultWithProbe

Post.PostviewSetResultWithProbe

Set the result for color display in the input for postview which is created with a probe NXOpen.CAE.Post.CreatePostview().

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetResultWithProbe(postviewId, probeparams)

Parameters:

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetShowHeader

Post.PostviewSetShowHeader

Set show header option in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewSetShowHeader(postviewId, showHeader)

Parameters:

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetStreamline

Post.PostviewSetStreamline

Set the streamline display options in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetStreamline(postviewId, streamline)

Parameters:

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

PostviewSetStreamlineSeedSet

Post.PostviewSetStreamlineSeedSet

Set the seed set to use for streamline extraction in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetStreamlineSeedSet(postviewId, seedsetId)

Parameters:
  • postviewId (int) –
  • seedsetId (int) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

PostviewSetStreamlineVelocity

Post.PostviewSetStreamlineVelocity

Overloaded method PostviewSetStreamlineVelocity

  • PostviewSetStreamlineVelocity(postviewId, velocity)
  • PostviewSetStreamlineVelocity(postviewId, velocity)

-------------------------------------

Set the velocity field for streamline extraction in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult NXOpen.CAE.ResultVelocityParameters_Struct is no longer been supported This method is replaced by NXOpen.CAE.Post.PostviewSetStreamlineVelocity()

Signature PostviewSetStreamlineVelocity(postviewId, velocity)

Parameters:

New in version NX6.0.0.

Deprecated since version NX7.5.1: Use NXOpen.CAE.Post.PostviewSetStreamlineVelocity() instead.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Set the velocity field for streamline extraction in the input postview id. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetStreamlineVelocity(postviewId, velocity)

Parameters:

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

PostviewSetStyle

Post.PostviewSetStyle

Set the fringe style in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewSetStyle(postviewId, showStyle, style)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetTarget

Post.PostviewSetTarget

Set the target operator in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetTarget(postviewId, target)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetText

Post.PostviewSetText

Set text color used for legend and identify in the input postview id.

The other options are not yet supported. Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetText(postviewId, text)

Parameters:

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewSetUndeformed

Post.PostviewSetUndeformed

Set the undeformed display in the input postview id.

Needs a PostviewUpdate call to take effect. The input postview id is what was returned from CreatePostview or CreatePostviewForResult

Signature PostviewSetUndeformed(postviewId, undeformed)

Parameters:
  • postviewId (int) –
  • undeformed (bool) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PostviewUpdate

Post.PostviewUpdate

Make the input postview id up-to-date with all the settings made via PostviewSet* methods so far.

The input postview id is what was returned from CreatePostview, CreatePostviewForResult, or CreateCrossSectionViewForResult

Signature PostviewUpdate(postviewId)

Parameters:postviewId (int) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ReloadTemplates

Post.ReloadTemplates

Search and load template xml files

Signature ReloadTemplates()

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetFactoryDefaultTemplate

Post.SetFactoryDefaultTemplate

Use factory defaults rather than a template for the default postview settings to be used in all subsequent PostviewCreate calls

Signature SetFactoryDefaultTemplate()

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

StreamlineSeedSetDelete

Post.StreamlineSeedSetDelete

Delete a Seed Set.

The input seedset id is what was returned from NXOpen.CAE.Post.CreateStreamlineSeedSet()

Signature StreamlineSeedSetDelete(seedsetId)

Parameters:seedsetId (int) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

TemplateDelete

Post.TemplateDelete

Delete a loaded template xml file specified by template_id.

The input template_id is what was returned from PostviewSaveTemplate or TemplateSearch

Signature TemplateDelete(templateId)

Parameters:templateId (int) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

TemplateRename

Post.TemplateRename

Rename a loaded template xml file specified by template_id.

The input template_id is what was returned from PostviewSaveTemplate or TemplateSearch

Signature TemplateRename(templateId, newName)

Parameters:
  • templateId (int) –
  • newName (str) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

TemplateSearch

Post.TemplateSearch

Search for a template handle for loaded template xml file specified by its name.

Returns a template handle that may be used in PostviewApplyTemplate and Template* calls

Signature TemplateSearch(name)

Parameters:name (str) –
Returns:
Return type:int

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

TemplateSetAsDefault

Post.TemplateSetAsDefault

Set a loaded template as the default postview settings to be used for all subsequent PostviewCreate calls.

The input template_id is what was returned from PostviewSaveTemplate or TemplateSearch

Signature TemplateSetAsDefault(templateId)

Parameters:templateId (int) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

UnloadResult

Post.UnloadResult

Unload the input result id.

The result id is what was obtained from LoadImportedResult or LoadSolutionResult

Signature UnloadResult(resultId)

Parameters:resultId (int) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

UnloadResultFile

Post.UnloadResultFile

Unload results that use the input file name

Signature UnloadResultFile(fileName)

Parameters:fileName (str) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

UpdateUserGroupsFromSimPart

Post.UpdateUserGroupsFromSimPart

Synchronize the Groups in Post-Processing with those in the Simulation Part

Signature UpdateUserGroupsFromSimPart(simpart)

Parameters:simpart (NXOpen.CAE.SimPart) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

UserGroupDelete

Post.UserGroupDelete

Overloaded method UserGroupDelete

  • UserGroupDelete(usergroupId)
  • UserGroupDelete(result, usergroupId)

-------------------------------------

Rename a User Group. The input usergroup id is what was returned from CreateUserGroupFromEntityLabels

Signature UserGroupDelete(usergroupId)

Parameters:usergroupId (int) –

New in version NX6.0.0.

Deprecated since version NX11.0.0: use NXOpen.CAE.Post.UserGroupDelete() with resulttag.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Rename a User Group. The input usergroup id is what was returned from CreateUserGroupFromEntityLabels

Signature UserGroupDelete(result, usergroupId)

Parameters:

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

UserGroupRename

Post.UserGroupRename

Overloaded method UserGroupRename

  • UserGroupRename(usergroupId, newName)
  • UserGroupRename(result, usergroupId, newName)

-------------------------------------

Delete a User Group. The input usergroup id is what was returned from CreateUserGroupFromEntityLabels

Signature UserGroupRename(usergroupId, newName)

Parameters:
  • usergroupId (int) –
  • newName (str) –

New in version NX6.0.0.

Deprecated since version NX11.0.0: use NXOpen.CAE.Post.UserGroupRename() with resulttag.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Delete a User Group. The input usergroup id is what was returned from CreateUserGroupFromEntityLabels

Signature UserGroupRename(result, usergroupId, newName)

Parameters:

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------